HC = require('hardoncollider')

function love.load()
	Collider = HC(64)
	points = {50,50,50,150,100,200,150,150,150,100,300,100,300,150,250,200,200,150,200,250,350,250,350,50}
	wd, ht = 400,300
	love.graphics.setMode(wd,ht,{})
	love.graphics.setCaption('Fill Concave Polygon using HardonCollider')
end

function love.keypressed(key)
	if key == " " then
		concave = Collider:addPolygon(unpack(points))
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
end

function love.draw()
	love.graphics.setColor( 255, 255, 255 )
	love.graphics.polygon( 'line', unpack( points ) )
	count = 1
	for i = 1, #points, 2 do
		x = points[i]
		y = points[i+1]
		love.graphics.print( count, x, y )
		count = count + 1
	love.graphics.print('Press <spacebar> to fill',10,ht-20)
	end

	if concave  then
		love.graphics.setColor(0,255,0)
		concave:draw('fill')
	end
end

